core::posix::linux::proc::process::OomScore Struct Reference

`#include <oom_score.h>`

Collaboration diagram for core::posix::linux::proc::process::OomScore:

## Public Attributes

int | value = 0
| Current OomScore as calculated by the kernel.

## Detailed Description

This file displays the current score that the kernel gives to this process for the purpose of selecting a process for the OOM-killer. A higher score means that the process is more likely to be selected by the OOM-killer. The basis for this score is the amount of memory used by the process, with increases (+) or decreases (-) for factors including:

- whether the process creates a lot of children using fork(2) (+);
- whether the process has been running a long time, or has used a lot of CPU time (-);
- whether the process has a low nice value (i.e., > 0) (+);
- whether the process is privileged (-); and
- whether the process is making direct hardware access (-).

The oom_score also reflects the adjustment specified by the oom_score_adj or oom_adj setting for the process.

Definition at line 50 of file oom_score.h.

## Member Data Documentation

## value

int core::posix::linux::proc::process::OomScore::value = 0

Current OomScore as calculated by the kernel.

Definition at line 52 of file oom_score.h.

Referenced by core::posix::linux::proc::process::operator>>().

The documentation for this struct was generated from the following file:

- oom_score.h